<?php

  $session = $this->getSession(); 
  $registry = $this->getRegistry(); 
  $i18n = $registry->get('i18n');
  $lang = 'fr';
  $name_sender = '' ;
  $name_receiver = '' ;
  
  $filter = new Yab_Helper_Filter($request, array(
    'idf_local', 
    'sender_code_app', 
    'receiver_code_app', 
    'name_sender' => 'send.name_monitors ?' , 
    'name_receiver' => 'recv.name_monitors ?', 
    'date_create', 
    'sens', 
    'login', 
    'status'
  ), 'pager_request_list');
  
  $filter->filterStatement($costream_imports_list);
  
  $helper_pager = new Yab_Helper_Pager($costream_imports_list, $request, array(), 'pager_imports_list');

  if($request->getGet()->__isset('idf_local'))
    $idf_local = $request->getGet()->get('idf_local');

  if($request->getGet()->__isset('name_sender'))
    $name_sender = $request->getGet()->get('name_sender');
  
  if($request->getGet()->__isset('name_receiver'))
    $name_receiver = $request->getGet()->get('name_receiver');
  
  if($request->getGet()->__isset('date_create')){
    //echo 'la date est : '.$request->getGet()->get('date_create') ;
    $date_create = $request->getGet()->get('date_create') ;
    
    if (!empty($date_create)){
      $filterdate = explode('-',$date_create) ;
      $filteryear = $filterdate[0];
      $filtermonth = $filterdate[1];
      if (!empty($filterdate[2])){
        $filterday = $filterdate[2]; 
      } else {
        $filterday = "";
      } 
    } else {     
      $year = date('Y');
      $filteryear = date('Y');
      $filtermonth = "" ;
      $filterday = "";    
    }
  } else {
    $year = date('Y');
    $filteryear = date('Y');
    $filtermonth = date('m');
    $filterday = date('d'); 
  }
  
  
  $filter_html = new Yab_Filter_Html();
  

?>
<script type="text/javascript">

this.screenshotPreview = function(){	
	/* CONFIG */
		xOffset = 280;
		yOffset = -200;
		// these 2 variable determine popup's distance from the cursor
		// you might want to adjust to get the right result
		
	/* END CONFIG */
	$("a.screenshot").hover(function(e){
		  this.t = this.title;
		  this.title = "";	
		  var c = (this.t != "") ? "<br/>" + this.t : "";
		  $("body").append("<p id='screenshot'><img src='"+ this.rel +"' alt='url preview' />"+ c +"</p>");								 
		  $("#screenshot")
			.css("top",(e.pageY - xOffset) + "px")
			.css("left",(e.pageX + yOffset) + "px")
			.fadeIn("slow");						
    },
    function(){
		  this.title = this.t;	
		  $("#screenshot").remove();
    });	
	$("a.screenshot").mousemove(function(e){
      $("#screenshot")
			.css("top",(e.pageY - xOffset) + "px")
			.css("left",(e.pageX + yOffset) + "px");
	 });			
};

function showGraphWF(){
	screenshotPreview();
}

function clearForm(oForm) {
   
  var elements = oForm.elements;
   
  oForm.reset();

  for(i=0; i<elements.length; i++) {
     
    field_type = elements[i].type.toLowerCase();
 
    switch(field_type) {
 
      case "text":
      case "password":
      case "textarea":
      case "hidden":  
     
        elements[i].value = "";
        break;
       
      case "radio":
      case "checkbox":
        if (elements[i].checked) {
          elements[i].checked = false;
        }
        break;

      case "select-one":
      case "select-multi":
        elements[i].selectedIndex = -1;
        break;

      default:
        break;
    }
  }
}


</script>
<style>
	#screenshot{
		position:absolute;
		border:1px solid #ccc;
		background:#333;
		padding:5px;
		display:none;
		color:#fff;
		}
</style>

<div>
  <div  style="width:80%;margin-left:10%;">
    <table class="D3_table">
    	<caption><?php echo $filter_html->filter($i18n->say('all_request')); ?></caption>
    	<thead>
    		<tr class="D3_table_highlightedRow">
          <td><a href="<?php echo $helper_pager->getUrl('idf_local'); ?>" class="<?php echo $helper_pager->getColumnOrder('idf_local'); ?>">idf</a></td>
          <td><a href="<?php echo $helper_pager->getUrl('name_sender'); ?>" class="<?php echo $helper_pager->getColumnOrder('id_sender'); ?>">
            <?php echo $filter_html->filter($i18n->say('sender')); ?></a></td>
    			<td><a href="<?php echo $helper_pager->getUrl('name_receiver'); ?>" class="<?php echo $helper_pager->getColumnOrder('id_receiver'); ?>">
            <?php echo $filter_html->filter($i18n->say('receiver')); ?></a></td>
          <td><a href="<?php echo $helper_pager->getUrl('sens'); ?>" class="<?php echo $helper_pager->getColumnOrder('sens'); ?>">
            <?php echo $filter_html->filter($i18n->say('direction')); ?></a></td>
    			<td><a href="<?php echo $helper_pager->getUrl('sender_code_app_iua'); ?>" class="<?php echo $helper_pager->getColumnOrder('sender_code_app'); ?>">
            <?php echo $filter_html->filter($i18n->say('col_sender_code_app')); ?></a></td>
    			<td><a href="<?php echo $helper_pager->getUrl('receiver_code_app_iua'); ?>" class="<?php echo $helper_pager->getColumnOrder('receiver_code_app'); ?>">
            <?php echo $filter_html->filter($i18n->say('col_receiver_code_app')); ?></a></td>
          <td><a href="<?php echo $helper_pager->getUrl('name_scheduler'); ?>" class="<?php echo $helper_pager->getColumnOrder('name_scheduler'); ?>">
            <?php echo $filter_html->filter($i18n->say('name_scheduler')); ?></a></a></td>			
          <td><a href="<?php echo $helper_pager->getUrl('type'); ?>" class="<?php echo $helper_pager->getColumnOrder('type'); ?>">type</a></td>
    			<td><a href="<?php echo $helper_pager->getUrl('valid_import'); ?>" class="<?php echo $helper_pager->getColumnOrder('valid_import'); ?>">
            <?php echo $filter_html->filter($i18n->say('valid_import')); ?></a></td>
    		</tr>
    	</thead>
    	<tbody>
    	<?php 
        foreach($costream_imports_list as $costream_request){
          $idf_local = $costream_request->get('idf_local', $filter_html);
          $sens = $costream_request->get('sens', $filter_html);
          $line_variable = $costream_request->get('line_variable', $filter_html);
          $valid_import = $costream_request->get('valid_import', $filter_html);
          if ( empty($valid_import) ) { $type_request= '' ; } else { $type_request= 'delete' ; }
          if ($line_variable == '0' ) { $line_variable_value = $i18n->say('no'); }
          elseif ($line_variable == '1' ) { $line_variable_value = $i18n->say('yes'); }
          else { $line_variable_value = '' ; }
          $xlate = $costream_request->get('xlate', $filter_html);
          if ($xlate == '0' ) { $xlate_value = $i18n->say('no'); }
          elseif ($xlate == '1' ) { $xlate_value = $i18n->say('yes'); }
          else { $xlate_value = '' ; }
      ?>
    		<tr class="typeRequest_<?php echo $type_request ; ?>">
          <td><?php echo $idf_local ; ?></td>
    			<td><?php echo $costream_request->get('name_sender', $filter_html); ?></td>
    			<td><?php echo $costream_request->get('name_receiver', $filter_html); ?></td>
    			<td><?php echo $sens ; ?></td>
    			<td><?php echo $costream_request->get('sender_code_app_iua', $filter_html); ?></td>
    			<td><?php echo $costream_request->get('receiver_code_app_iua', $filter_html); ?></td>
          <td><?php echo $costream_request->get('name_scheduler', $filter_html); ?></td>
          <td><?php echo $costream_request->get('type', $filter_html); ?></td>
          <td><?php echo $costream_request->get('valid_import', $filter_html); ?></td>
    		</tr>
    	<?php } ?>
    	</tbody>
    	<tfoot>
    		<tr>
    			<td colspan="10"><?php echo $helper_pager; ?></td>
    		</tr>
    		<tr>
    			<td colspan="10">
            <a href="<?php echo $this->getRequest('Fsn_Historique', 'import'); ?>">
              <img src="<?php echo $request->getBaseUrl(); ?>/images/back.png" alt="<?php echo $filter_html->filter($i18n->say('go_back', array('') )); ?>" title="<?php echo $filter_html->filter($i18n->say('go_back', array('') )); ?>" />
            </a>
    			</td>
    		</tr>
    	</tfoot>
    </table>
  </div>
</div>
